Как это работает
Ключ и текущий временной шаг объединяются через HMAC (SHA-1, SHA-256 или SHA-512) и усекаются до 6- или 8-значного числа — метод TOTP из RFC 6238. Ссылка otpauth:// сама задаёт число цифр, период и алгоритм. Часы устройства должны идти примерно верно.
секрет + время ÷ 30 → HMAC-SHA1 → 6 цифр
Где секрет?
- Новая настройка: сайт показывает «не удаётся отсканировать?» или «ввести вручную» рядом с QR-кодом — эта строка и есть секрет.
- Пробелы и дефисы в секрете игнорируются, строчные буквы тоже подходят.
- Потерянный секрет: эта страница не может его восстановить. Заново зарегистрируйте двухфакторную защиту на сайте, чтобы получить новый.
Советы
- Используйте её как запасной просмотрщик, а не единственную копию, — храните секрет ещё и в менеджере паролей.
- Если коды постоянно отклоняются, сначала проверьте часы устройства.
- Всё работает в вашем браузере; ничего не загружается.
Стандарты и источники
- Одноразовые пароли на основе времени (TOTP): RFC 6238; ядро HMAC: RFC 4226
- Кодировка Base32: RFC 4648
Последняя проверка 12 октября 2026 г.
Часто задаваемые вопросы
Где найти секрет?
Когда сайт показывает QR-код для настройки двухфакторной защиты, рядом обычно есть ссылка «не удаётся отсканировать?» или «ввести вручную» — эта строка и есть секрет.
Почему мои коды постоянно отклоняются?
Почти всегда дело в часах: TOTP зависит от времени, поэтому устройство с отклонением в минуты выдаёт неверные коды. Сначала проверьте автоматические дату и время.
Безопасно ли вставлять сюда секрет?
Страница работает полностью офлайн, и секрет не покидает ваш браузер. Но используйте её как запасной просмотрщик и храните секрет ещё и в менеджере паролей.
Что делать, если секрет потерян?
Здесь восстановить его нельзя. Отключите и снова включите двухфакторную защиту на сайте, чтобы получить новый секрет.